ExtensionException (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.bus.extension

## Class ExtensionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.cxf.common.i18n.UncheckedException
        - - org.apache.cxf.bus.extension.ExtensionException

- All Implemented Interfaces:
    `Serializable`

      public class ExtensionException
      extends UncheckedException

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.cxf.common.i18n.UncheckedException

      `message`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExtensionException​(Throwable cause)` | Constructs an `ExtensionException` with the provided cause.
    `ExtensionException​(Message msg)` | Constructs a `ExtensionException` with the provided detail message.
    `ExtensionException​(Message msg, Throwable cause)` | Constructs a `ExtensionException` with the detail message and cause provided.

  - ### Method Summary

    - ### Methods inherited from class org.apache.cxf.common.i18n.UncheckedException

      `getCode, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtensionException

          public ExtensionException​(Message msg)

      Constructs a `ExtensionException` with the provided detail message.

    - #### ExtensionException

          public ExtensionException​(Message msg,
                                    Throwable cause)

      Constructs a `ExtensionException` with the detail message and cause provided.

    - #### ExtensionException

          public ExtensionException​(Throwable cause)

      Constructs an `ExtensionException` with the provided cause.